GNU bug report logs - #37957
BibTeX dialect not set if local variables disabled

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Richard Copley <rcopley@HIDDEN>; dated Mon, 28 Oct 2019 09:47:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 37957 <at> debbugs.gnu.org:


Received: (at 37957) by debbugs.gnu.org; 29 Oct 2019 11:24:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 29 07:24:37 2019
Received: from localhost ([127.0.0.1]:46954 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iPPc5-00044I-JS
	for submit <at> debbugs.gnu.org; Tue, 29 Oct 2019 07:24:37 -0400
Received: from quimby.gnus.org ([80.91.231.51]:54970)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iPPc3-000446-Ry
 for 37957 <at> debbugs.gnu.org; Tue, 29 Oct 2019 07:24:36 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1iPPc0-0007rn-HT; Tue, 29 Oct 2019 12:24:34 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Richard Copley <rcopley@HIDDEN>
Subject: Re: bug#37957: BibTeX dialect not set if local variables disabled
References: <CAPM58ojcACvgCNGobOHHj9DvpwvHbWW0XRzPxjQtpTviGQjw7A@HIDDEN>
 <87ftjcaojz.fsf@HIDDEN>
 <CAPM58og0EX6F9vpVfq4fnVK-QWevXYUccf5_W_QbTLZ=iGxDuQ@HIDDEN>
 <87ftjc96yj.fsf@HIDDEN>
 <CAPM58ogfHgUXf+rDunCLkRmaTQRcvXjxQMWsG4DoptpAcPESjw@HIDDEN>
 <87blu095z6.fsf@HIDDEN>
 <CAPM58ogmk2c+cpzGY=R-BN23He1jMH7e-txebdm8CpG+hyUd2g@HIDDEN>
Date: Tue, 29 Oct 2019 12:24:32 +0100
In-Reply-To: <CAPM58ogmk2c+cpzGY=R-BN23He1jMH7e-txebdm8CpG+hyUd2g@HIDDEN>
 (Richard Copley's message of "Mon, 28 Oct 2019 17:55:37 +0000")
Message-ID: <87sgnb23rj.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Richard Copley <rcopley@HIDDEN> writes: >> But even if
 I fix the expression, I'm still not able to reproduce the >> bug in Emacs
 27. You didn't include the Emacs version in your bug >> report, unfortunately.
 > > Curious! Works for me on cur [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37957
Cc: 37957 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Richard Copley <rcopley@HIDDEN> writes:

>> But even if I fix the expression, I'm still not able to reproduce the
>> bug in Emacs 27. You didn't include the Emacs version in your bug
>> report, unfortunately.
>
> Curious! Works for me on current master (built from a fresh checkout just now)
> and the FSF builds of Emacs 24.5 (i686) and Emacs 26.3 (x86_64), on Windows.
> Ah hah, but not on Debian (on Emacs built from master a few months ago).
> That's a surprise.

How odd.  I am indeed using Debian, and the test case doesn't fail on
the trunk, nor on Emacs 26.1 included in the distribution.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37957; Package emacs. Full text available.

Message received at 37957 <at> debbugs.gnu.org:


Received: (at 37957) by debbugs.gnu.org; 29 Oct 2019 01:52:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 28 21:52:40 2019
Received: from localhost ([127.0.0.1]:46650 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iPGgZ-0004R2-8M
	for submit <at> debbugs.gnu.org; Mon, 28 Oct 2019 21:52:40 -0400
Received: from eggs.gnu.org ([209.51.188.92]:42144)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <winkler@HIDDEN>) id 1iPGgW-0004Qp-Bm
 for 37957 <at> debbugs.gnu.org; Mon, 28 Oct 2019 21:52:37 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:59367)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <winkler@HIDDEN>)
 id 1iPGgR-0008H3-2W; Mon, 28 Oct 2019 21:52:31 -0400
Received: from [2601:240:8300:d3d0:248b:bf11:be2e:5309] (port=38366
 helo=regnitz)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <winkler@HIDDEN>)
 id 1iPGgN-0001U9-P5; Mon, 28 Oct 2019 21:52:29 -0400
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Message-ID: <39771.36515.154463.23991@HIDDEN>
Date: Mon, 28 Oct 2019 20:52:27 -0500
From: "Roland Winkler" <winkler@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#37957: BibTeX dialect not set if local variables disabled
In-Reply-To: <87ftjcaojz.fsf@HIDDEN>
References: <CAPM58ojcACvgCNGobOHHj9DvpwvHbWW0XRzPxjQtpTviGQjw7A@HIDDEN>
 <87ftjcaojz.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37957
Cc: Richard Copley <rcopley@HIDDEN>, 37957 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

On Mon Oct 28 2019 Lars Ingebrigtsen wrote:
> Do you have an example .bib file that can be used to reproduce this bug?

I can, indeed, reproduce this with `emacs -Q', setting
enable-local-variables to nil and then loading any BibTeX file.

Yet it is not clear to me what is the proper solution for this.

Currently, bibtex-mode makes bibtex-set-dialect an element of
hack-local-variables-hook.  This hook is called only if
enable-local-variables is non-nil.  Of course, bibtex-mode could
call bibtex-set-dialect directly if enable-local-variables is nil.
Yet I guess that enable-local-variables being nil may break more
things if hack-local-variables-hook is not called.

If nothing else, we could mention in the docstring of
hack-local-variables-hook that this hook is not called if
enable-local-variables is nil.

Roland




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37957; Package emacs. Full text available.

Message received at 37957 <at> debbugs.gnu.org:


Received: (at 37957) by debbugs.gnu.org; 28 Oct 2019 18:54:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 28 14:54:43 2019
Received: from localhost ([127.0.0.1]:46351 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iPAA6-0001TA-Vm
	for submit <at> debbugs.gnu.org; Mon, 28 Oct 2019 14:54:43 -0400
Received: from eggs.gnu.org ([209.51.188.92]:53809)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iPAA4-0001Sw-KA
 for 37957 <at> debbugs.gnu.org; Mon, 28 Oct 2019 14:54:41 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:52050)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iPA9z-00054F-CF; Mon, 28 Oct 2019 14:54:35 -0400
Received: from [176.228.60.248] (port=1868 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iPA9y-00069w-MS; Mon, 28 Oct 2019 14:54:35 -0400
Date: Mon, 28 Oct 2019 20:54:29 +0200
Message-Id: <83pnigr996.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-reply-to: <87blu095z6.fsf@HIDDEN> (message from Lars Ingebrigtsen on Mon, 
 28 Oct 2019 17:42:37 +0100)
Subject: Re: bug#37957: BibTeX dialect not set if local variables disabled
References: <CAPM58ojcACvgCNGobOHHj9DvpwvHbWW0XRzPxjQtpTviGQjw7A@HIDDEN>
 <87ftjcaojz.fsf@HIDDEN>
 <CAPM58og0EX6F9vpVfq4fnVK-QWevXYUccf5_W_QbTLZ=iGxDuQ@HIDDEN>
 <87ftjc96yj.fsf@HIDDEN>
 <CAPM58ogfHgUXf+rDunCLkRmaTQRcvXjxQMWsG4DoptpAcPESjw@HIDDEN>
 <87blu095z6.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37957
Cc: rcopley@HIDDEN, 37957 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Date: Mon, 28 Oct 2019 17:42:37 +0100
> Cc: 37957 <at> debbugs.gnu.org
> 
> Richard Copley <rcopley@HIDDEN> writes:
> 
> > No, it would be a waste of everybody's time. Try this one liner:
> >
> > emacs -Q -eval "(with-current-buffer \"*empty*\" (setq enable-local-variables nil)
> > (bibtex-mode) (bibtex-parse-buffers-stealthily))"
> 
> "No buffer named *empty*"
> 
> But even if I fix the expression, I'm still not able to reproduce the
> bug in Emacs 27.  You didn't include the Emacs version in your bug
> report, unfortunately.

FWIW, reproduces fine here, both with Emacs 26.3 and Emacs 27, both on
MS-Windows and on GNU/Linux.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37957; Package emacs. Full text available.

Message received at 37957 <at> debbugs.gnu.org:


Received: (at 37957) by debbugs.gnu.org; 28 Oct 2019 17:56:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 28 13:56:12 2019
Received: from localhost ([127.0.0.1]:46337 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iP9FS-0008J1-NQ
	for submit <at> debbugs.gnu.org; Mon, 28 Oct 2019 13:56:12 -0400
Received: from mail-oi1-f173.google.com ([209.85.167.173]:45719)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rcopley@HIDDEN>) id 1iP9FR-0008Ik-79
 for 37957 <at> debbugs.gnu.org; Mon, 28 Oct 2019 13:56:09 -0400
Received: by mail-oi1-f173.google.com with SMTP id k2so1530476oij.12
 for <37957 <at> debbugs.gnu.org>; Mon, 28 Oct 2019 10:56:09 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=OmwLkew6Qyb8jTQCuH1+Tjk7YhWpue/KLCLvn3PF98M=;
 b=Yi0IDAz0QFcgQ3R/s+D3JMlFZh6syF/LEAwpnGAvaBEYDuttxVmrxrtwDOX0b8SIui
 ZT7w/am171WgO0fpTp+gXtUsRhYAHhs42rvpYuJQcqDdb+d6OAWh9nbDkRmCPFe+VDVj
 2fxOkIr6vv9VbzTVdpzXS/oNZFlrGbGQj+bqtBEd4Tn/0QuRdz9BuPnaZirN6gGmOBip
 IvLpB2ENM1SluQOsM0UyIoUnoMLy2HaDJMq2wC8W+GxNFWErw2VBtNsvZAImpZkcjYyd
 aAM8lv3dP+EXOmn2xftJ2Cz1nQSvY4e/g4v2UPIuLNQSm/aPPRj4hIYI5lAsoC9YTAx7
 r69A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=OmwLkew6Qyb8jTQCuH1+Tjk7YhWpue/KLCLvn3PF98M=;
 b=oF5b5FvJF07nsEJJzVyBAZOnthbdBT5yZSLqoYnJyOcfeipJaTNpZ1lgtJ7HBOO3Fx
 qhRd+8QSg63JkU30h7nN4CHFF74my4G6hgdjDxw1C+qkpZ6KiRpVf1BvY8SYVQtcNMtP
 1hF/NS8mkIhOw6hrefHuxxGeJXEmSI5xbHRPGdlzrjbbB6X/djDPYnQH0BAaPAxzXZqx
 zqDx9f0kI/00f4Q9GnzSBHsEvbT87jix7vHox4VkWplkTIfvf/gi2w1jZvST7LmZUIVy
 EkzSgfno21RPUMeDzFF2om414FfaR6c5mzA6DKUNCZjIGjVCz+Hda+e45GqN4MvjMEDK
 fLwA==
X-Gm-Message-State: APjAAAVR2pTb9yOM0XrI5CCO+JZ97QYy6DVN3IaXxsVMqOm4NqKKJUFy
 y8I7P/g+FR4pJMyQ/KFENT4zMXvIFCfg2F2XAHQ=
X-Google-Smtp-Source: APXvYqw8vdEQHRNHd54DAX9XYOUx0/lWglFuqFYQe7rBwb/Qne/k2LrSNNCRmjrgmrTSa0+xdApNg1Z7Fw9GeXkmxRU=
X-Received: by 2002:aca:df84:: with SMTP id w126mr413250oig.79.1572285363154; 
 Mon, 28 Oct 2019 10:56:03 -0700 (PDT)
MIME-Version: 1.0
References: <CAPM58ojcACvgCNGobOHHj9DvpwvHbWW0XRzPxjQtpTviGQjw7A@HIDDEN>
 <87ftjcaojz.fsf@HIDDEN>
 <CAPM58og0EX6F9vpVfq4fnVK-QWevXYUccf5_W_QbTLZ=iGxDuQ@HIDDEN>
 <87ftjc96yj.fsf@HIDDEN>
 <CAPM58ogfHgUXf+rDunCLkRmaTQRcvXjxQMWsG4DoptpAcPESjw@HIDDEN>
 <87blu095z6.fsf@HIDDEN>
In-Reply-To: <87blu095z6.fsf@HIDDEN>
From: Richard Copley <rcopley@HIDDEN>
Date: Mon, 28 Oct 2019 17:55:37 +0000
Message-ID: <CAPM58ogmk2c+cpzGY=R-BN23He1jMH7e-txebdm8CpG+hyUd2g@HIDDEN>
Subject: Re: bug#37957: BibTeX dialect not set if local variables disabled
To: Lars Ingebrigtsen <larsi@HIDDEN>
Content-Type: multipart/alternative; boundary="0000000000008e74c00595fc362c"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37957
Cc: 37957 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--0000000000008e74c00595fc362c
Content-Type: text/plain; charset="UTF-8"

On Mon, 28 Oct 2019 at 16:42, Lars Ingebrigtsen <larsi@HIDDEN> wrote:
> Richard Copley <rcopley@HIDDEN> writes:
>
> > No, it would be a waste of everybody's time. Try this one liner:
> >
> > emacs -Q -eval "(with-current-buffer \"*empty*\" (setq
enable-local-variables nil)
> > (bibtex-mode) (bibtex-parse-buffers-stealthily))"
>
> "No buffer named *empty*"

emacs -Q -eval "(with-current-buffer \"*scratch*\" (setq
enable-local-variables nil) (bibtex-mode)
(bibtex-parse-buffers-stealthily))"

> But even if I fix the expression, I'm still not able to reproduce the
> bug in Emacs 27. You didn't include the Emacs version in your bug
> report, unfortunately.

Curious! Works for me on current master (built from a fresh checkout just
now) and the FSF builds of Emacs 24.5 (i686) and Emacs 26.3 (x86_64), on
Windows.
Ah hah, but not on Debian (on Emacs built from master a few months ago).
That's a surprise.

Just to be sure, here's an unambiguous specification of a recipe that does
work, for me, in all of those environments. From 'emacs -Q',

M-x set-variable RET enable-local-variables RET nil RET
M-x bibtex-mode RET
M-: (bibtex-parse-buffers-stealthily) RET

--0000000000008e74c00595fc362c
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">On Mon, 28 Oct 2019 at 16:42, Lars Ingebrigtsen &lt;<a hre=
f=3D"mailto:larsi@HIDDEN" target=3D"_blank">larsi@HIDDEN</a>&gt; wrote:=
<br>&gt; Richard Copley &lt;<a href=3D"mailto:rcopley@HIDDEN" target=3D"=
_blank">rcopley@HIDDEN</a>&gt; writes:<br>&gt;<br>&gt; &gt; No, it would=
 be a waste of everybody&#39;s time. Try this one liner:<br>&gt; &gt;<br>&g=
t; &gt; emacs -Q -eval &quot;(with-current-buffer \&quot;*empty*\&quot; (se=
tq enable-local-variables nil)<br>&gt; &gt; (bibtex-mode) (bibtex-parse-buf=
fers-stealthily))&quot;<br>&gt;<br>&gt; &quot;No buffer named *empty*&quot;=
<br><br>emacs -Q -eval &quot;(with-current-buffer \&quot;*scratch*\&quot; (=
setq enable-local-variables nil) (bibtex-mode) (bibtex-parse-buffers-stealt=
hily))&quot;<br><br>&gt; But even if I fix the expression, I&#39;m still no=
t able to reproduce the<br>&gt; bug in Emacs 27. You didn&#39;t include the=
 Emacs version in your bug<br>&gt; report, unfortunately.<br><br>Curious! W=
orks for me on current master (built from a fresh checkout just now) and th=
e FSF builds of Emacs 24.5 (i686) and Emacs 26.3 (x86_64), on Windows.<br>A=
h hah, but not on Debian (on Emacs built from master a few months ago). Tha=
t&#39;s a surprise.<br><br><div>Just to be sure, here&#39;s an unambiguous =
specification of a recipe that does work, for me, in all of those environme=
nts. From &#39;emacs -Q&#39;,</div><br>M-x set-variable RET enable-local-va=
riables RET nil RET<div>M-x bibtex-mode RET<br></div>M-: (bibtex-parse-buff=
ers-stealthily) RET<div><br></div></div>

--0000000000008e74c00595fc362c--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37957; Package emacs. Full text available.

Message received at 37957 <at> debbugs.gnu.org:


Received: (at 37957) by debbugs.gnu.org; 28 Oct 2019 16:42:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 28 12:42:44 2019
Received: from localhost ([127.0.0.1]:46281 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iP86O-0006Em-E2
	for submit <at> debbugs.gnu.org; Mon, 28 Oct 2019 12:42:44 -0400
Received: from quimby.gnus.org ([80.91.231.51]:42980)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iP86M-0006Eb-BP
 for 37957 <at> debbugs.gnu.org; Mon, 28 Oct 2019 12:42:42 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1iP86I-0001JB-2j; Mon, 28 Oct 2019 17:42:40 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Richard Copley <rcopley@HIDDEN>
Subject: Re: bug#37957: BibTeX dialect not set if local variables disabled
References: <CAPM58ojcACvgCNGobOHHj9DvpwvHbWW0XRzPxjQtpTviGQjw7A@HIDDEN>
 <87ftjcaojz.fsf@HIDDEN>
 <CAPM58og0EX6F9vpVfq4fnVK-QWevXYUccf5_W_QbTLZ=iGxDuQ@HIDDEN>
 <87ftjc96yj.fsf@HIDDEN>
 <CAPM58ogfHgUXf+rDunCLkRmaTQRcvXjxQMWsG4DoptpAcPESjw@HIDDEN>
Date: Mon, 28 Oct 2019 17:42:37 +0100
In-Reply-To: <CAPM58ogfHgUXf+rDunCLkRmaTQRcvXjxQMWsG4DoptpAcPESjw@HIDDEN>
 (Richard Copley's message of "Mon, 28 Oct 2019 16:33:04 +0000")
Message-ID: <87blu095z6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Richard Copley <rcopley@HIDDEN> writes: > No, it would
 be a waste of everybody's time. Try this one liner: > > emacs -Q -eval
 "(with-current-buffer
 \"*empty*\" (setq enable-local-variables nil) > (bibtex-mode)
 (bibtex-parse-buffers-stealthi [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37957
Cc: 37957 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Richard Copley <rcopley@HIDDEN> writes:

> No, it would be a waste of everybody's time. Try this one liner:
>
> emacs -Q -eval "(with-current-buffer \"*empty*\" (setq enable-local-variables nil)
> (bibtex-mode) (bibtex-parse-buffers-stealthily))"

"No buffer named *empty*"

But even if I fix the expression, I'm still not able to reproduce the
bug in Emacs 27.  You didn't include the Emacs version in your bug
report, unfortunately.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37957; Package emacs. Full text available.

Message received at 37957 <at> debbugs.gnu.org:


Received: (at 37957) by debbugs.gnu.org; 28 Oct 2019 16:33:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 28 12:33:37 2019
Received: from localhost ([127.0.0.1]:46272 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iP7xZ-0005yR-6T
	for submit <at> debbugs.gnu.org; Mon, 28 Oct 2019 12:33:37 -0400
Received: from mail-oi1-f179.google.com ([209.85.167.179]:40688)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rcopley@HIDDEN>) id 1iP7xX-0005yA-Mb
 for 37957 <at> debbugs.gnu.org; Mon, 28 Oct 2019 12:33:36 -0400
Received: by mail-oi1-f179.google.com with SMTP id r27so230109oij.7
 for <37957 <at> debbugs.gnu.org>; Mon, 28 Oct 2019 09:33:35 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=XOoUJPVDlftmbIIyl6/7brKw5223p17W67gFZ4dBIoU=;
 b=hhnfdEnol/WrUCnageqXZiPyhOiK5zmBKXPxUwErpmS0DrdBaNjFHDJ2Le2RBLMLqT
 lHmNVtBuiw/XNgRM0gpXDHk0hiSXva9+NMtPooBjkqnqb4dLlmSCjij5sWIStD6/oDHb
 3wSi2wB6vJHNkNhYJQ+yClPzIgr9LqjmdUuMUaPDnJBgqMNF6xg0u5jrtjLuPVW4FjWh
 IVlcfBFlsR07d0LMJE1NKxkXWoE+FxWB7uIvDdpgxtTYaA7dde1zzurffK4uz4+XPyb0
 gZgmtCW/rdq/Zi8Ikl2/kI1SG6e1hMWKbG5ZuxoTMbpHhu+8Rk6jVJiUFIiaUfANOJHY
 kl/w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=XOoUJPVDlftmbIIyl6/7brKw5223p17W67gFZ4dBIoU=;
 b=fInAIU6yrvsaA1pDsOoUl3kOT1slNYF5T9H7yrSI8bgTnwWQ6Vg1wMdzd9zzmoJ1Fa
 kaOfeZh9D+zLeYo87cKGRX2ta2w26ZT24BzWp1gsWhxoDVdA5uP7kv2nLtekS7vdR16d
 AqExSJ46SbSx8tLA2lyXmvuiCf1Tq/VN/QhcIRKt8ufvHzFZxqccHB6U9n1XFQ361/Wl
 KpOqqh3JUMa3xy5RRDlIdq+zo8U9F7YJnFWoxqvjYjZCGBKKzLhz2/LAS9l+CfzqWnue
 vnHP6YMJTqGhWkHxD5GPCXHp5gK9pIbwz/kOJD+7ICjz5tO8rfPzSOYxdXDsNIh9Scf6
 f+iQ==
X-Gm-Message-State: APjAAAX5e6pDmXVcQoBQNl3ilhqSB8GbblRMb9eLlEgQmWrfs5Ae4X/5
 VzAGwgXux126q6Vbh5+j57Sv+QM41jRy5RtmXnk=
X-Google-Smtp-Source: APXvYqw4RWW4V4bChh+o85VCI81u2hFXa9TwKdvmiTpZ8KDLO3hTgndtE65FeEbMk4wt17e8IVrqYHE3LMX7I3gA0go=
X-Received: by 2002:aca:df84:: with SMTP id w126mr116719oig.79.1572280409787; 
 Mon, 28 Oct 2019 09:33:29 -0700 (PDT)
MIME-Version: 1.0
References: <CAPM58ojcACvgCNGobOHHj9DvpwvHbWW0XRzPxjQtpTviGQjw7A@HIDDEN>
 <87ftjcaojz.fsf@HIDDEN>
 <CAPM58og0EX6F9vpVfq4fnVK-QWevXYUccf5_W_QbTLZ=iGxDuQ@HIDDEN>
 <87ftjc96yj.fsf@HIDDEN>
In-Reply-To: <87ftjc96yj.fsf@HIDDEN>
From: Richard Copley <rcopley@HIDDEN>
Date: Mon, 28 Oct 2019 16:33:04 +0000
Message-ID: <CAPM58ogfHgUXf+rDunCLkRmaTQRcvXjxQMWsG4DoptpAcPESjw@HIDDEN>
Subject: Re: bug#37957: BibTeX dialect not set if local variables disabled
To: Lars Ingebrigtsen <larsi@HIDDEN>
Content-Type: multipart/alternative; boundary="00000000000050124e0595fb0f26"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37957
Cc: 37957 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--00000000000050124e0595fb0f26
Content-Type: text/plain; charset="UTF-8"

On Mon, 28 Oct 2019 at 16:21, Lars Ingebrigtsen <larsi@HIDDEN> wrote:

> Richard Copley <rcopley@HIDDEN> writes:
>
> > An empty file or scratch buffer, or the first BibTeX sample file you
> > can find on the web, will work fine. The contents aren't relevant.
>
> I was unable to reproduce the bug with an empty buffer, so if you could
> include one in the bug report, that would make things easier.
>

No, it would be a waste of everybody's time. Try this one liner:

emacs -Q -eval "(with-current-buffer \"*empty*\" (setq
enable-local-variables nil) (bibtex-mode)
(bibtex-parse-buffers-stealthily))"

--00000000000050124e0595fb0f26
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><br><div class=3D"gmail_quote"><div dir=3D"ltr" class=3D"g=
mail_attr">On Mon, 28 Oct 2019 at 16:21, Lars Ingebrigtsen &lt;<a href=3D"m=
ailto:larsi@HIDDEN">larsi@HIDDEN</a>&gt; wrote:<br></div><blockquote cl=
ass=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;border-left:1px solid=
 rgb(204,204,204);padding-left:1ex">Richard Copley &lt;<a href=3D"mailto:rc=
opley@HIDDEN" target=3D"_blank">rcopley@HIDDEN</a>&gt; writes:<br>
<br>
&gt; An empty file or scratch buffer, or the first BibTeX sample file you<b=
r>
&gt; can find on the web, will work fine. The contents aren&#39;t relevant.=
<br>
<br>
I was unable to reproduce the bug with an empty buffer, so if you could<br>
include one in the bug report, that would make things easier.<br></blockquo=
te><br></div><div class=3D"gmail_quote">No, it would be a waste of everybod=
y&#39;s time. Try this one liner:</div><div class=3D"gmail_quote"><br></div=
><div class=3D"gmail_quote">emacs -Q -eval &quot;(with-current-buffer \&quo=
t;*empty*\&quot; (setq enable-local-variables nil) (bibtex-mode) (bibtex-pa=
rse-buffers-stealthily))&quot;</div><div class=3D"gmail_quote"><br></div></=
div>

--00000000000050124e0595fb0f26--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37957; Package emacs. Full text available.

Message received at 37957 <at> debbugs.gnu.org:


Received: (at 37957) by debbugs.gnu.org; 28 Oct 2019 16:21:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 28 12:21:31 2019
Received: from localhost ([127.0.0.1]:46267 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iP7lr-0005dl-00
	for submit <at> debbugs.gnu.org; Mon, 28 Oct 2019 12:21:31 -0400
Received: from quimby.gnus.org ([80.91.231.51]:42650)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iP7lo-0005da-R4
 for 37957 <at> debbugs.gnu.org; Mon, 28 Oct 2019 12:21:29 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1iP7lk-00011k-Qf; Mon, 28 Oct 2019 17:21:27 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Richard Copley <rcopley@HIDDEN>
Subject: Re: bug#37957: BibTeX dialect not set if local variables disabled
References: <CAPM58ojcACvgCNGobOHHj9DvpwvHbWW0XRzPxjQtpTviGQjw7A@HIDDEN>
 <87ftjcaojz.fsf@HIDDEN>
 <CAPM58og0EX6F9vpVfq4fnVK-QWevXYUccf5_W_QbTLZ=iGxDuQ@HIDDEN>
Date: Mon, 28 Oct 2019 17:21:24 +0100
In-Reply-To: <CAPM58og0EX6F9vpVfq4fnVK-QWevXYUccf5_W_QbTLZ=iGxDuQ@HIDDEN>
 (Richard Copley's message of "Mon, 28 Oct 2019 16:14:48 +0000")
Message-ID: <87ftjc96yj.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Richard Copley <rcopley@HIDDEN> writes: > An empty file
 or scratch buffer, or the first BibTeX sample file you > can find on the
 web, will work fine. The contents aren't relevant. I was unable to reproduce
 the bug with an empty buffer, so if you could include one in the bug report,
 that would make things easier. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37957
Cc: 37957 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Richard Copley <rcopley@HIDDEN> writes:

> An empty file or scratch buffer, or the first BibTeX sample file you
> can find on the web, will work fine. The contents aren't relevant.

I was unable to reproduce the bug with an empty buffer, so if you could
include one in the bug report, that would make things easier.

(And don't drop the debbugs address from the Cc -- otherwise the mail
won't make it to the bug tracker.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37957; Package emacs. Full text available.

Message received at 37957 <at> debbugs.gnu.org:


Received: (at 37957) by debbugs.gnu.org; 28 Oct 2019 15:16:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 28 11:16:08 2019
Received: from localhost ([127.0.0.1]:46163 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iP6kY-0007GK-Va
	for submit <at> debbugs.gnu.org; Mon, 28 Oct 2019 11:16:07 -0400
Received: from quimby.gnus.org ([80.91.231.51]:41856)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iP6kW-0007Dc-Ea
 for 37957 <at> debbugs.gnu.org; Mon, 28 Oct 2019 11:16:04 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1iP6kS-0000ND-LJ; Mon, 28 Oct 2019 16:16:03 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Richard Copley <rcopley@HIDDEN>
Subject: Re: bug#37957: BibTeX dialect not set if local variables disabled
References: <CAPM58ojcACvgCNGobOHHj9DvpwvHbWW0XRzPxjQtpTviGQjw7A@HIDDEN>
Date: Mon, 28 Oct 2019 16:16:00 +0100
In-Reply-To: <CAPM58ojcACvgCNGobOHHj9DvpwvHbWW0XRzPxjQtpTviGQjw7A@HIDDEN>
 (Richard Copley's message of "Mon, 28 Oct 2019 09:44:15 +0000")
Message-ID: <87ftjcaojz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Richard Copley <rcopley@HIDDEN> writes: > From "emacs -Q",
 > * Set the variable 'enable-local-variables' to nil. > * Visit a BibTeX
 (*.bib) file. > * Wait one minute or eval (bibtex-parse-buffers-stealthily).
 > > Lisp error: (wrong-type-arg [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37957
Cc: 37957 <at> debbugs.gnu.org, winkler@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Richard Copley <rcopley@HIDDEN> writes:

> From "emacs -Q",
> * Set the variable 'enable-local-variables' to nil.
> * Visit a BibTeX (*.bib) file.
> * Wait one minute or eval (bibtex-parse-buffers-stealthily).
>
> Lisp error: (wrong-type-argument number-or-marker-p nil)
> Backtrace:
>   1+(nil)
>   (buffer-substring-no-properties (1+ (match-beginning bibtex-type-in-head))
> (match-end bibtex-type-in-head))
>   bibtex-type-in-head()

Do you have an example .bib file that can be used to reproduce this bug?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37957; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 28 Oct 2019 09:46:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 28 05:46:27 2019
Received: from localhost ([127.0.0.1]:43843 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iP1bW-0001xn-I3
	for submit <at> debbugs.gnu.org; Mon, 28 Oct 2019 05:46:26 -0400
Received: from lists.gnu.org ([209.51.188.17]:35565)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rcopley@HIDDEN>) id 1iP1bU-0001xb-R5
 for submit <at> debbugs.gnu.org; Mon, 28 Oct 2019 05:46:25 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:33142)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <rcopley@HIDDEN>) id 1iP1bR-0002yh-KA
 for bug-gnu-emacs@HIDDEN; Mon, 28 Oct 2019 05:46:23 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 HTML_MESSAGE,URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rcopley@HIDDEN>) id 1iP1bO-0002tV-Sg
 for bug-gnu-emacs@HIDDEN; Mon, 28 Oct 2019 05:46:21 -0400
Received: from mail-ot1-x32c.google.com ([2607:f8b0:4864:20::32c]:35303)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <rcopley@HIDDEN>)
 id 1iP1Zr-00020U-Kw; Mon, 28 Oct 2019 05:46:18 -0400
Received: by mail-ot1-x32c.google.com with SMTP id z6so6218232otb.2;
 Mon, 28 Oct 2019 02:44:42 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=eLNBdsaU105TYmSyXCieCR3lBxOMuRHxCCbGvQ8aTP8=;
 b=oUc3quGEJBnBGbnf0+aIFCo9bqoZaxOzFNU8mKkdZK+Az2uz1VS6tma/AqLqOrlboZ
 PsvLeCHn1VsBngPP7UeDJtArjvxmIRaw+0K0zC02uvoxc7yzw1LXRV9XszyhYDg6wLbs
 GTNO2SC+DQGjT5F2nxOMh6/8t/9vLkUuikWN5ZGACnyaP87t4VyMxbSh1QxE1umar5l3
 vc4kra1M+toxqxrycCEhU25S2Zbq8i1Fp+hVrDUkHHkKf1qZkVyIJS59s316DYekWkZZ
 owT1ePZRco73x3QzbOIDyMOZ2K2LA72zDSuAKpjWzgRuJynWqMWwGIzELG6F+nQk2Rdw
 uOZQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=eLNBdsaU105TYmSyXCieCR3lBxOMuRHxCCbGvQ8aTP8=;
 b=SCCVHuf/aNKAl/x2TvAWMysZc69iLZXQsotBKNl6cb5NeQn29EPMFUD4jN6l5UGF4G
 aJE/4erW3cgo1HWUm89fDU2fVta8n26yYav1gEGaEULELl5Pnvzr0e97O3NvaqG/k6es
 L77YdLIRSyL8Mzd61bRdDpLHw56MKo+fqHlyr+gof+jZn0T1ASVLDywceyCGpPxsY3o5
 6Ocqg1frcGzN7sUSaqO3BsmRoGtyRFIhP+u9woXmF1HTJb5x9Za3Z4La6vkgJmbQBMKd
 Tb84ZTadEA2+vB8ezpaiO3FLodWNaxQJz4iT6UlkWhED/rWEfM0OqsioWDIwZ0SzEjez
 N2OA==
X-Gm-Message-State: APjAAAUdmCue3VsHgQqMdnSs6naeQu8Uk06c9U6BKHYfzKEbu4IOe0vn
 crnahw8ibOfUQzCr5t1JOQ97T0+SOyCoMI04ZgSa94v2ZGQ=
X-Google-Smtp-Source: APXvYqzTvjlkHgCZKb0QoK+66OvBwokDQefyPGIfl6AmYe8lBEpz5JTUV2f+FhP1ZTk/QKoebKyNcZ5rFwous5gMy1s=
X-Received: by 2002:a05:6830:1b6d:: with SMTP id
 d13mr8036349ote.294.1572255881408; 
 Mon, 28 Oct 2019 02:44:41 -0700 (PDT)
MIME-Version: 1.0
From: Richard Copley <rcopley@HIDDEN>
Date: Mon, 28 Oct 2019 09:44:15 +0000
Message-ID: <CAPM58ojcACvgCNGobOHHj9DvpwvHbWW0XRzPxjQtpTviGQjw7A@HIDDEN>
Subject: BibTeX dialect not set if local variables disabled
To: bug-gnu-emacs@HIDDEN, Roland Winkler <winkler@HIDDEN>
Content-Type: multipart/alternative; boundary="0000000000004eb5de0595f559fc"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2607:f8b0:4864:20::32c
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--0000000000004eb5de0595f559fc
Content-Type: text/plain; charset="UTF-8"

From "emacs -Q",
* Set the variable 'enable-local-variables' to nil.
* Visit a BibTeX (*.bib) file.
* Wait one minute or eval (bibtex-parse-buffers-stealthily).

Lisp error: (wrong-type-argument number-or-marker-p nil)
Backtrace:
  1+(nil)
  (buffer-substring-no-properties (1+ (match-beginning
bibtex-type-in-head)) (match-end bibtex-type-in-head))
  bibtex-type-in-head()
  (assoc-string (bibtex-type-in-head) bibtex-entry-alist t)
  [...]
  bibtex-parse-keys(t)
  bibtex-parse-buffers-stealthily()
  [...]

On visiting a BibTeX file, if enable-local-variables is nil,
'bibtex-set-dialect' doesn't get called. This causes errors later on. For
example, when 'bibtex-parse-buffers-stealthily' is called, we get the above
error, because 'bibtex-entry-head' has not been set. Glancing at the
history of  'bibtex-major-mode', this commit seems a likely candidate:

ace88aa20f32b298e7f2e8e6115b5661504f8724
Author: Roland Winkler <winkler@HIDDEN>
AuthorDate: Sat Jan 28 12:06:10 2012 -0600

lisp/textmodes/bibtex.el: allow bibtex-dialect as file-local variable
(Bug#10254)

--0000000000004eb5de0595f559fc
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">From &quot;emacs -Q&quot;,<br>* Set the variable &#39;enab=
le-local-variables&#39; to nil.<br>* Visit a BibTeX (*.bib) file.<br>* Wait=
 one minute or eval (bibtex-parse-buffers-stealthily).<br><br>Lisp error: (=
wrong-type-argument number-or-marker-p nil)<br>Backtrace:<br>=C2=A0 1+(nil)=
<br>=C2=A0 (buffer-substring-no-properties (1+ (match-beginning bibtex-type=
-in-head)) (match-end bibtex-type-in-head))<br>=C2=A0 bibtex-type-in-head()=
<br>=C2=A0 (assoc-string (bibtex-type-in-head) bibtex-entry-alist t)<br>=C2=
=A0 [...]<br>=C2=A0 bibtex-parse-keys(t)<br>=C2=A0 bibtex-parse-buffers-ste=
althily()<br>=C2=A0 [...]<br><br>On visiting a BibTeX file, if enable-local=
-variables is nil, &#39;bibtex-set-dialect&#39; doesn&#39;t get called. Thi=
s causes errors later on. For example, when &#39;bibtex-parse-buffers-steal=
thily&#39; is called, we get the above error, because &#39;bibtex-entry-hea=
d&#39; has not been set. Glancing at the history of=C2=A0 &#39;bibtex-major=
-mode&#39;, this commit seems a likely candidate:<br><br>ace88aa20f32b298e7=
f2e8e6115b5661504f8724<br>Author: Roland Winkler &lt;<a href=3D"mailto:wink=
ler@HIDDEN">winkler@HIDDEN</a>&gt;<br>AuthorDate: Sat Jan 28 12:06:10 201=
2 -0600<br><br><div>lisp/textmodes/bibtex.el: allow bibtex-dialect as file-=
local variable (Bug#10254)</div><br></div>

--0000000000004eb5de0595f559fc--




Acknowledgement sent to Richard Copley <rcopley@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#37957; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 29 Oct 2019 11:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.